class WorkflowInstanceInputScrubber
  attr_reader :input
  DSLAM_NAME_REGEXP = /[a-zA-Z0-9\-]+[\/-]DSLA8?[\/-]\d+/

  def initialize(input)
    @input = input.to_s
  end

  def dslam_names
    input.scan(DSLAM_NAME_REGEXP).map do |input_name|
      # schuuring to kpn aanpassing
      input_name.sub('-DSLA-', '/DSLA/').sub('-DSLA8-', '/DSLA8/')
    end
  end


  def empty?
    dslam_names.empty?
  end
end
